OSDN Git Service

Do not use two warnings when one will do
authorkorbb <korbb@138bc75d-0d04-0410-961f-82ee72b054a4>
Sat, 19 May 2001 22:43:38 +0000 (22:43 +0000)
committerkorbb <korbb@138bc75d-0d04-0410-961f-82ee72b054a4>
Sat, 19 May 2001 22:43:38 +0000 (22:43 +0000)
git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@42323 138bc75d-0d04-0410-961f-82ee72b054a4

gcc/ChangeLog
gcc/fixinc/genfixes

index 3e2e2ab..5998040 100644 (file)
@@ -1,3 +1,7 @@
+2001-05-19  Bruce Korb  <bkorb@gnu.org>
+
+       * fixinc/genfixes: no need for two warnings
+
 2001-05-19  Mark Mitchell  <mark@codesourcery.com>
 
        * jump.c (jump_optimize_1): Tidy.
index d556de6..a47e091 100755 (executable)
@@ -66,25 +66,17 @@ fi
 AG="autogen $AG"
 set -e
 
-if [ -z "`${AG} -v | fgrep 'Ver. 5.'`" ]
-then
-  echo "Your AutoGen is either out of date or not available" >&2
-  echo "Please get AutoGen5 from ftp.gnu.org/gnu/autogen" >&2
-  touch $@
-  exit 0
-fi
-
 case "$1" in
 fixincl.x | */fixincl.x )
-  if (${AG} --help > /dev/null 2>&1)
+  if [ -z "`${AG} -v | fgrep 'Ver. 5.'`" ]
   then
-    echo AutoGen-ing fixincl.x
-    $AG inclhack.def
-  else
-    echo "AutoGen does not appear to be correctly installed."
+    echo "AutoGen appears to be out of date or not correctly installed."
     echo "Please download and install:"
     echo "   ftp://gcc.gnu.org/pub/gcc/infrastructure/autogen.tar.gz"
     touch fixincl.x
+  else
+    echo AutoGen-ing fixincl.x
+    $AG inclhack.def
   fi
   ;;